Page MenuHomePhabricator

[Regression pre-wmf.16] Citation needed template is not getting replaced by the citation added from the VE context menu
Closed, ResolvedPublic

Description

Steps to replicate:

  1. Open VE
  2. Add the template "Citation needed"
  3. Now click on the template to being up the context menu.
  4. Click on "Add a citation" button
  5. Add a citation

Expected result: The newly added citation should replace the "Citation needed" template.

Actual result: It's getting added next to the template without replacing it.

This issue is a regression and happening on Beta cluster. Works fine on en.wiki.
See the screenshot:

Event Timeline

Ryasmeen created this task.Jan 20 2020, 9:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 20 2020, 9:38 PM
Ryasmeen added projects: VisualEditor, Cite.EditedJan 20 2020, 9:39 PM

Also, why is that the option to add a citation from the context menu is not available on office wiki/mw.org?

Ryasmeen renamed this task from [Regression pre-wmf.16] Citation needed template is not getting replaced by the Citation added from the VE context menu to [Regression pre-wmf.16] Citation needed template is not getting replaced by the citation added from the VE context menu.Jan 21 2020, 1:42 AM
Izno moved this task from Unsorted backlog to Defect backlog on the Cite board.May 5 2020, 11:23 PM
Izno moved this task from Defect backlog to External on the Cite board.May 5 2020, 11:26 PM

Those wikis don't typically host articles, and so don't have the citation templates set up on them.

Esanders added a comment.EditedMay 6 2020, 3:23 PM

For me it works fine on live and beta if an automatic citation is used.

It appears it doesn't work for manual citations but I don't think that is a regression.

Can you confirm you are seeing the same thing?

For me it works fine on live and beta if an automatic citation is used.

It appears it doesn't work for manual citations but I don't think that is a regression.

Can you confirm you are seeing the same thing?

yes, it only happens when I add a manual citation. Okay, let's close this then.

Ryasmeen closed this task as Resolved.May 7 2020, 8:13 PM
Ryasmeen claimed this task.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 7 2020, 8:13 PM